cURL
curl --request PUT \
--url 'https://<your-tenant>.app.blinkops.com/api/v1/workspaces/{ws_id}/settings' \
--header 'BLINK-API-KEY: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
"description": "<string>",
"display_name": "<string>",
"logo_file_identifier": "<string>",
"settings": {
"case_management_dashboard_enabled": true,
"default_overview_page_dashboard": "<string>",
"enable_overview_page": true,
"features": {
"agents": true,
"case-management": true
},
"type": "<string>"
}
}'import requests
url = "https://<your-tenant>.app.blinkops.com/api/v1/workspaces/{ws_id}/settings"
payload = {
"description": "<string>",
"display_name": "<string>",
"logo_file_identifier": "<string>",
"settings": {
"case_management_dashboard_enabled": True,
"default_overview_page_dashboard": "<string>",
"enable_overview_page": True,
"features": {
"agents": True,
"case-management": True
},
"type": "<string>"
}
}
headers = {
"BLINK-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.request("PUT", url, json=payload, headers=headers)
print(response.text)
const url = 'https://<your-tenant>.app.blinkops.com/api/v1/workspaces/{ws_id}/settings';
const options = {
method: 'PUT',
headers: {'BLINK-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
"description": "<string>",
"display_name": "<string>",
"logo_file_identifier": "<string>",
"settings": {
"case_management_dashboard_enabled": true,
"default_overview_page_dashboard": "<string>",
"enable_overview_page": true,
"features": {
"agents": true,
"case-management": true
},
"type": "<string>"
}
})
};
fetch(url, options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://<your-tenant>.app.blinkops.com/api/v1/workspaces/{ws_id}/settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => '{"description":"<string>","display_name":"<string>","logo_file_identifier":"<string>","settings":{"case_management_dashboard_enabled":true,"default_overview_page_dashboard":"<string>","enable_overview_page":true,"features":{"agents":true,"case-management":true},"type":"<string>"}}',
CURLOPT_HTTPHEADER => [
"BLINK-API-KEY: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://<your-tenant>.app.blinkops.com/api/v1/workspaces/{ws_id}/settings"
payload := strings.NewReader(`{"description":"<string>","display_name":"<string>","logo_file_identifier":"<string>","settings":{"case_management_dashboard_enabled":true,"default_overview_page_dashboard":"<string>","enable_overview_page":true,"features":{"agents":true,"case-management":true},"type":"<string>"}}`)
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("BLINK-API-KEY", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.put("https://<your-tenant>.app.blinkops.com/api/v1/workspaces/{ws_id}/settings")
.header("BLINK-API-KEY", "<api-key>")
.header("Content-Type", "application/json")
.body("{\"description\":\"<string>\",\"display_name\":\"<string>\",\"logo_file_identifier\":\"<string>\",\"settings\":{\"case_management_dashboard_enabled\":true,\"default_overview_page_dashboard\":\"<string>\",\"enable_overview_page\":true,\"features\":{\"agents\":true,\"case-management\":true},\"type\":\"<string>\"}}")
.asString();
require 'uri'
require 'net/http'
url = URI("https://<your-tenant>.app.blinkops.com/api/v1/workspaces/{ws_id}/settings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["BLINK-API-KEY"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\"description\":\"<string>\",\"display_name\":\"<string>\",\"logo_file_identifier\":\"<string>\",\"settings\":{\"case_management_dashboard_enabled\":true,\"default_overview_page_dashboard\":\"<string>\",\"enable_overview_page\":true,\"features\":{\"agents\":true,\"case-management\":true},\"type\":\"<string>\"}}"
response = http.request(request)
puts response.read_body
{
"description": "<string>",
"display_name": "<string>",
"logo_file_identifier": "<string>",
"settings": {
"case_management_dashboard_enabled": true,
"default_overview_page_dashboard": "<string>",
"enable_overview_page": true,
"features": {
"agents": true,
"case-management": true
},
"type": "<string>"
}
}{
"data": {},
"details": "<string>",
"identifier": "<string>",
"message": "<string>",
"status": 404,
"user_error": {}
}{
"data": {},
"details": "<string>",
"identifier": "<string>",
"message": "<string>",
"status": 404,
"user_error": {}
}Workspaces
Update the Workspace Settings
Update the workspace settings by provided values
PUT
/
workspaces
/
{ws_id}
/
settings
cURL
curl --request PUT \
--url 'https://<your-tenant>.app.blinkops.com/api/v1/workspaces/{ws_id}/settings' \
--header 'BLINK-API-KEY: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
"description": "<string>",
"display_name": "<string>",
"logo_file_identifier": "<string>",
"settings": {
"case_management_dashboard_enabled": true,
"default_overview_page_dashboard": "<string>",
"enable_overview_page": true,
"features": {
"agents": true,
"case-management": true
},
"type": "<string>"
}
}'import requests
url = "https://<your-tenant>.app.blinkops.com/api/v1/workspaces/{ws_id}/settings"
payload = {
"description": "<string>",
"display_name": "<string>",
"logo_file_identifier": "<string>",
"settings": {
"case_management_dashboard_enabled": True,
"default_overview_page_dashboard": "<string>",
"enable_overview_page": True,
"features": {
"agents": True,
"case-management": True
},
"type": "<string>"
}
}
headers = {
"BLINK-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.request("PUT", url, json=payload, headers=headers)
print(response.text)
const url = 'https://<your-tenant>.app.blinkops.com/api/v1/workspaces/{ws_id}/settings';
const options = {
method: 'PUT',
headers: {'BLINK-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
"description": "<string>",
"display_name": "<string>",
"logo_file_identifier": "<string>",
"settings": {
"case_management_dashboard_enabled": true,
"default_overview_page_dashboard": "<string>",
"enable_overview_page": true,
"features": {
"agents": true,
"case-management": true
},
"type": "<string>"
}
})
};
fetch(url, options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://<your-tenant>.app.blinkops.com/api/v1/workspaces/{ws_id}/settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => '{"description":"<string>","display_name":"<string>","logo_file_identifier":"<string>","settings":{"case_management_dashboard_enabled":true,"default_overview_page_dashboard":"<string>","enable_overview_page":true,"features":{"agents":true,"case-management":true},"type":"<string>"}}',
CURLOPT_HTTPHEADER => [
"BLINK-API-KEY: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://<your-tenant>.app.blinkops.com/api/v1/workspaces/{ws_id}/settings"
payload := strings.NewReader(`{"description":"<string>","display_name":"<string>","logo_file_identifier":"<string>","settings":{"case_management_dashboard_enabled":true,"default_overview_page_dashboard":"<string>","enable_overview_page":true,"features":{"agents":true,"case-management":true},"type":"<string>"}}`)
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("BLINK-API-KEY", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.put("https://<your-tenant>.app.blinkops.com/api/v1/workspaces/{ws_id}/settings")
.header("BLINK-API-KEY", "<api-key>")
.header("Content-Type", "application/json")
.body("{\"description\":\"<string>\",\"display_name\":\"<string>\",\"logo_file_identifier\":\"<string>\",\"settings\":{\"case_management_dashboard_enabled\":true,\"default_overview_page_dashboard\":\"<string>\",\"enable_overview_page\":true,\"features\":{\"agents\":true,\"case-management\":true},\"type\":\"<string>\"}}")
.asString();
require 'uri'
require 'net/http'
url = URI("https://<your-tenant>.app.blinkops.com/api/v1/workspaces/{ws_id}/settings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["BLINK-API-KEY"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\"description\":\"<string>\",\"display_name\":\"<string>\",\"logo_file_identifier\":\"<string>\",\"settings\":{\"case_management_dashboard_enabled\":true,\"default_overview_page_dashboard\":\"<string>\",\"enable_overview_page\":true,\"features\":{\"agents\":true,\"case-management\":true},\"type\":\"<string>\"}}"
response = http.request(request)
puts response.read_body
{
"description": "<string>",
"display_name": "<string>",
"logo_file_identifier": "<string>",
"settings": {
"case_management_dashboard_enabled": true,
"default_overview_page_dashboard": "<string>",
"enable_overview_page": true,
"features": {
"agents": true,
"case-management": true
},
"type": "<string>"
}
}{
"data": {},
"details": "<string>",
"identifier": "<string>",
"message": "<string>",
"status": 404,
"user_error": {}
}{
"data": {},
"details": "<string>",
"identifier": "<string>",
"message": "<string>",
"status": 404,
"user_error": {}
}Authorizations
Use your API key to access BlinkOps API. To generate an API key, please log in to your BlinkOps account and navigate to the API Keys section in the user settings page. Add the generated key to your request headers as BLINK-API-KEY.
Path Parameters
Workspace ID
Body
application/json
Settings to update
Was this page helpful?